import React from "react";

const Filters = ({ filters, onFilterChange}) => {
  return (
    <div className="filters">
  
      <input
        type="text"
        name="breed"
        placeholder="Search by breed name"
        value={filters.breed}
        onChange={onFilterChange}
      />


      <select
        name="hairLength"
        value={filters.hairLength}
        onChange={onFilterChange}
      >
        <option value="">All Hair Lengths</option>
        <option value="short">Short</option>
        <option value="medium">Medium</option>
        <option value="long">Long</option>
      </select>

  
      <select
        name="origin"
        value={filters.origin}
        onChange={onFilterChange}
      >
        <option value="">All Origins</option>
        <option value="USA">USA</option>
        <option value="UK">UK</option>
        <option value="Japan">Japan</option>
        <option value="Egypt">Egypt</option>
        <option value="Russia">Russia</option>
       
      </select>
    </div>
  );
};

export default Filters;
